Skip to main content
POST
ApproveWithStepUp

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

task_id
string
required

The ID of the task to approve with step-up.

Body

application/json

TaskActionsServiceApproveWithStepUpRequest is used to approve a task with step-up authentication

policyStepId
string | null
required

The ID of the policy step on the given task to approve.

stepUpTransactionId
string | null
required

The step-up transaction ID that was verified. If unset, the response will include a redirect URL to complete the step-up authentication.

comment
string | null

The comment attached to the request.

expandMask
Task Expand Mask · object | null

The task expand mask is an array of strings that specifes the related objects the requester wishes to have returned when making a request where the expand mask is part of the input. Use '*' to view all possible responses.

Response

200 - application/json

TaskActionsServiceApproveWithStepUpResponse is the response for approving a task with step-up authentication

TaskActionsServiceApproveWithStepUpResponse is the response for approving a task with step-up authentication

expanded
object[] | null
read-only

List of serialized related objects.

redirectUrl
string | null

The redirect URL the client must visit to complete the step-up authentication.

taskView
Task View · object | null

Contains a task and JSONPATH expressions that describe where in the expanded array related objects are located. This view can be used to display a fully-detailed dashboard of task information.

ticketActionId
string | null
read-only

The ID of the task approve action created by this request.